Skip to main content
GET
Get Replenishment Task

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

Warehouse identity.

task_id
integer<int64>
required

Replenishment task identity.

Required range: x >= 1

Response

Scoped Replenishment task.

resource
ReplenishmentTask · object

Durable, read-only snapshot of Replenishment work. Quantity fields are expressed in the replenished Product's units. In Product quanta at the applicable LCM, qty_planned_total equals the sum of unpicked, custody, placed, canceled, short/exception, and externally satisfied quantities. Independently rounded decimal fields may not sum exactly. Mutations use the task_revision and claim_lease_version compare-and-swap values.

included
object

Empty relationship expansion dictionary.

meta
object

Additional metadata pertaining to the response.